# -*- coding: utf-8 -*-
"""
Created on Tue Mar 15 18:58:51 2022

@author: diffabs-adm
"""

import h5py
import matplotlib.pyplot as plt
import cv2
import numpy as np
import os
import glob


#### a adapter
os.chdir('D:/DT/correli/Au240920b/datanxs')
#os.chdir('E:/SOLEIL2407/analyse/CIN/240621/data_nxs/')


save_path='D:/DT/correli/Au240920b/CIN/'
#save_path='E:/SOLEIL2407/analyse/CIN/240621/data_nxs/CIN/'





out_save_path = save_path



#racine_nom_sauvegarde_CIN='240606c_PI_Mo_Ni60Fe40_20_'

racine_nom_sauvegarde_CIN='Zr_equibiaxial_'


######


liste_fichier = glob.glob('*.nxs')



#liste_fichier = sorted(liste_fichier, key=lambda t: os.stat(t).st_mtime)



#premier_fichier=2030
#dernier_fichier=2283

premier_fichier=2459
dernier_fichier=2658

temp=np.zeros(7)


i=0#1139
#plt.figure()

for nom in liste_fichier:

    with h5py.File(nom, 'r') as fichier:    

        group1 =  list(fichier.keys())[0]
        temps_comptage=fichier[group1]['scan_data/integration_times'][0]
        print(nom, temps_comptage)
        
        if temps_comptage<1.5: #ATTENTION AU TEMPS DE PAUSE DES FICHIERS POUR LA MANIPE (difference entre pas a pas et continu )
            
            for j in range(np.shape(fichier[group1]['scan_data/data_41'])[0]):
                image=fichier[group1]['scan_data/data_41'][j]               


                if i<10:
                    cv2.imwrite(out_save_path+racine_nom_sauvegarde_CIN+ '_000%s.png'%(i), image)
                elif i<100:
                    cv2.imwrite(out_save_path+racine_nom_sauvegarde_CIN+ '_00%s.png'%(i), image)
                elif i<1000:
                    cv2.imwrite(out_save_path+racine_nom_sauvegarde_CIN+ '_0%s.png'%(i), image)
    
                else:
                    cv2.imwrite(out_save_path+racine_nom_sauvegarde_CIN+ '_%s.png'%(i), image)
                #enregistrer: numero_scan, temps, chi, F13, F24, omega, delta

    
                temp=np.vstack((temp, [i,fichier[group1]['scan_data/sensors_timestamps'][j],fichier[group1]['scan_data/data_09'][j], fichier[group1]['scan_data/data_22'][j], fichier[group1]['scan_data/data_25'][j], fichier[group1]['scan_data/data_08'][j], fichier[group1]['scan_data/data_11'][j]]))
                i=i+1
                
np.savetxt(racine_nom_sauvegarde_CIN+str(premier_fichier)+'_'+str(dernier_fichier)+'.txt', temp)

